跳到主要内容

获取Pull Request某条评论

GET 

/api/v5/repos/:owner/:repo/pulls/comments/:id

Request​

Path Parameters

    owner stringrequired

    仓库所属空间地址(组织或个人的地址path)

    repo stringrequired

    仓库路径(path)

    id stringrequired

    评论 ID

Query Parameters

    access_token string

    用户授权码

Responses​

成功响应

Response Headers
    Schema
      idinteger
      discussion_idstring

      讨论id

      bodystring
      comment_typestring
      user object
      idstring
      loginstring
      namestring
      typestring
      target object
      issue object
      idinteger
      titlestring
      numberstring
      created_atstring
      updated_atstring
      position object
      base_shastring

      基础SHA

      start_shastring

      起始SHA

      head_shastring

      头部SHA

      old_pathstring

      旧路径

      new_pathstring

      新路径

      position_typestring

      位置类型,"binary":文件级评论,"text":代码行评论。

      old_lineinteger

      旧行号

      new_lineinteger

      新行号

      start_old_lineinteger

      起始旧行号

      start_new_lineinteger

      起始新行号